#
# spec file for package pam_ssh (Version 1.94)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libusb libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openct openldap2-client opensc openssh openssl openssl-devel pam pam-devel pam-modules patch pcsc-lite perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pam_ssh
BuildRequires:  openssh openssl-devel pam-devel
License:        BSD License and BSD-like
Group:          Productivity/Networking/SSH
Autoreqprov:    on
Version:        1.94
Release:        30
Summary:        PAM Module for SSH Authentication
URL:            http://developer.novell.com/wiki/index.php/Pam_ssh
Source:         %{name}-%{version}.tar.bz2
Patch0:         pam_ssh-session.patch
Patch1:         %{name}-%{version}-SEGV.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides single sign-on behavior. The user types a
passphrase when logging in and is allowed in if it decrypts the user s
SSH private key. An ssh-agent is started and keys are added. For the
entire session, the user types no more passwords.



Authors:
--------
    Andrew J. Korty <ajk@iu.edu>
    Roderick Schertler

%debug_package
%prep
%setup -q
%patch0
%patch1

%build
%{suse_update_config -f}
autoreconf --verbose --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"  \
./configure --libdir=/%{_lib} \
            --with-pamdir=/%{_lib}/security \
            --prefix=%{_prefix} \
	    --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d 755 $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 .libs/pam_ssh.so $RPM_BUILD_ROOT/%{_lib}/security
install -d 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 pam_ssh.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README TODO NEWS
%attr(555,root,root) /%{_lib}/security/pam_ssh.so
%attr(444,root,root) %_mandir/man*/*.*

%changelog
* Wed Mar 07 2007 - anicka@suse.cz
- fix crash in pam_sm_open_session [#251053]
* Fri Nov 24 2006 - max@suse.de
- Fix crashes in in the session module (#223488).
* Tue Nov 07 2006 - ro@suse.de
- fix manpage permissions
* Thu Aug 03 2006 - stark@suse.de
- update to version 1.94 (r23)
  * improved logging
  * more recover fixes
  * root credentials weren't restored in some cases which caused
  following pam session modules to fail
* Sat Jun 24 2006 - stark@suse.de
- update to version 1.93 (r18)
  * debug option works for auth and session module (#177885)
  * debug option is really available now for auth and session
  module (#177885)
  * recover better if close_session wasn't executed (#187560)
* Wed Jun 07 2006 - stark@suse.de
- logging fix is integrated now
- auth handler now accepts nullok option
* Wed May 31 2006 - stark@suse.de
- update to version 1.92
  * allow working as session module without authentication
  (workaround for #173803)
  * incorporated include fixes
- fixed syslog logging (part of #177885)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 - ro@suse.de
- added include openssl/md5.h to cipher.c
* Mon Oct 10 2005 - schubi@suse.de
- added "include <syslog.h>"
* Tue Nov 09 2004 - schubi@suse.de
- Bugfixes for other architectures
* Mon Nov 08 2004 - schubi@suse.de
- first version
